libdb-5.3.28-21 kann rpm Datenbank unbrauchbar machen

Wie Adam Williamson in seinem Blog schreibt, kann es vorkommen, das nach dem Update des libdb Paketes auf 5.3.8-21 die rpm Datenbank beschädigt ist und die Paketmanager ihre Arbeit mit einer Fehlermeldung einstellen.

Wer von dem Problem betroffen ist, kann die rpm Datenbank mit folgenden Befehlen wieder reparieren:

su -
rm -f /var/lib/rpm/__db*
rpm --rebuilddb

Anschließend sollten die Paketmanager wieder ohne Probleme funktionieren.

Schreibe einen Kommentar

Deine E-Mail-Adresse wird nicht veröffentlicht. Erforderliche Felder sind mit * markiert.